org.apache.storm.container.cgroup.core

## Class CpuacctCore

- java.lang.Object
- - org.apache.storm.container.cgroup.core.CpuacctCore

- All Implemented Interfaces:
    CgroupCore

      public class CpuacctCore
      extends Object
      implements CgroupCore

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CpuacctCore.StatType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CPUACCT_STAT`
    `static String` | `CPUACCT_USAGE`
    `static String` | `CPUACCT_USAGE_PERCPU`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CpuacctCore(String dir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<CpuacctCore.StatType,Long>` | `getCpuStat()`
    `Long` | `getCpuUsage()`
    `Long[]` | `getPerCpuUsage()`
    `SubSystemType` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CPUACCT_USAGE

          public static final String CPUACCT_USAGE

      See Also:
        Constant Field Values

    - #### CPUACCT_STAT

          public static final String CPUACCT_STAT

      See Also:
        Constant Field Values

    - #### CPUACCT_USAGE_PERCPU

          public static final String CPUACCT_USAGE_PERCPU

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CpuacctCore

          public CpuacctCore(String dir)

  - ### Method Detail

    - #### getType

          public SubSystemType getType()

      Specified by:
        `getType` in interface `CgroupCore`

    - #### getCpuUsage

          public Long getCpuUsage()
                           throws IOException

      Throws:
        `IOException`

    - #### getCpuStat

          public Map<CpuacctCore.StatType,Long> getCpuStat()
                                                    throws IOException

      Throws:
        `IOException`

    - #### getPerCpuUsage

          public Long[] getPerCpuUsage()
                                throws IOException

      Throws:
        `IOException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.